Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.layout
Class JGoLayeredDigraphAutoLayoutNodeData

    java.lang.Object
      com.nwoods.jgo.layout.JGoLayeredDigraphAutoLayoutNodeData

All Implemented Interfaces:
  JGoAutoLayoutNodeData

public class JGoLayeredDigraphAutoLayoutNodeData
extends java.lang.Object
implements JGoAutoLayoutNodeData

Holds layered-digraph auto-layout specific data associated with each JGoNetworkNode in the JGoNetwork.

Field Summary
`int` | `column` column - the column to which the node is assigned; see initializeColumns() for details
`int` | `component` component - the connected component to which the node is assigned; used by optimalLinkLengthLayering() and componentPack()
`int` | `discover` discover - time of discovery in depth first search; used in depthFirstSearchCycleRemoval()
`int` | `finish` finish - time of finishing in depth first search; used in depthFirstSearchCycleRemoval()
`int` | `index` index - the index to which the node is assigned; see initializeIndices() for details
`int` | `layer` layer - the layer to which the node is assigned; see layering() for details
`boolean` | `valid` valid - a flag; used in greedyCycleRemoval()

Constructor Summary
`JGoLayeredDigraphAutoLayoutNodeData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layer

    public int layer

  layer - the layer to which the node is assigned; see layering() for details

### column

    public int column

  column - the column to which the node is assigned; see initializeColumns() for details

### index

    public int index

  index - the index to which the node is assigned; see initializeIndices() for details

### valid

    public boolean valid

  valid - a flag; used in greedyCycleRemoval()

### discover

    public int discover

  discover - time of discovery in depth first search; used in depthFirstSearchCycleRemoval()

### finish

    public int finish

  finish - time of finishing in depth first search; used in depthFirstSearchCycleRemoval()

### component

    public int component

  component - the connected component to which the node is assigned; used by optimalLinkLengthLayering() and componentPack()

Constructor Detail

### JGoLayeredDigraphAutoLayoutNodeData

    public JGoLayeredDigraphAutoLayoutNodeData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD